/*
 * Copyright 2018-present Open Networking Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.onosproject.store.flow.impl;

import org.onosproject.event.AbstractEvent;

/**
 * Flow table lifecycle event.
 */
public class LifecycleEvent extends AbstractEvent<LifecycleEvent.Type, DeviceReplicaInfo> {

    /**
     * Lifecycle event type.
     */
    public enum Type {
        TERM_START,
        TERM_ACTIVE,
        TERM_END,
    }

    public LifecycleEvent(Type type, DeviceReplicaInfo subject) {
        super(type, subject);
    }
}